net.corda.node.services.schema

## Class HibernateObserver.NodeDatabaseConnectionProvider

- net.corda.node.services.schema.HibernateObserver.NodeDatabaseConnectionProvider

- Enclosing class:
    HibernateObserver

      public static class HibernateObserver.NodeDatabaseConnectionProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeDatabaseConnectionProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeConnection(java.sql.Connection conn)`
    `java.sql.Connection` | `getConnection()`
    `boolean` | `isUnwrappableAs(java.lang.Class<?> unwrapType)`
    `boolean` | `supportsAggressiveRelease()`
    `<T> T` | `unwrap(java.lang.Class<T> unwrapType)`

- - ### Constructor Detail

    - #### NodeDatabaseConnectionProvider

          public NodeDatabaseConnectionProvider()

  - ### Method Detail

    - #### closeConnection

          public void closeConnection(java.sql.Connection conn)

    - #### supportsAggressiveRelease

          public boolean supportsAggressiveRelease()

    - #### getConnection

          public java.sql.Connection getConnection()

    - #### unwrap

          public <T> T unwrap(java.lang.Class<T> unwrapType)

    - #### isUnwrappableAs

          public boolean isUnwrappableAs(java.lang.Class<?> unwrapType)